create install inputs
curl --request POST \
--url https://api.nuon.co/v1/installs/{install_id}/inputs \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"inputs": {}
}'import requests
url = "https://api.nuon.co/v1/installs/{install_id}/inputs"
payload = { "inputs": {} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: {}})
};
fetch('https://api.nuon.co/v1/installs/{install_id}/inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_input_config_id": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"id": "<string>",
"install_id": "<string>",
"org_id": "<string>",
"redacted_values": {},
"updated_at": "<string>",
"values": {},
"workflow_id": "<string>"
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}create install inputs
Create input values for an install.
POST
/
v1
/
installs
/
{install_id}
/
inputs
create install inputs
Authorizations
APIKeyOrgID
Type "Bearer" followed by a space and token.
Path Parameters
install ID
Body
application/json
Input
Show child attributes
Show child attributes
Response
Created
⌘I